#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::ChanReg::Agent;

use strict;

use Exporter 'import';
BEGIN {
	our @EXPORT = qw(agent);
	our @EXPORT_OK = qw(get_chan_bot);
}

use SrSv::MySQL qw($dbh);
use SrSv::Process::Init;
use SrSv::ChanServ;

our ($get_chan_bot);

proc_init {
	$get_chan_bot = $dbh->prepare("SELECT bot FROM chanreg WHERE chan=?");
};

sub agent($) {
	my ($chan) = @_;

	return $chan->{AGENT} if($chan->{AGENT});

	$get_chan_bot->execute($chan->{CHAN});
	my ($agent) = $get_chan_bot->fetchrow_array;

	$agent = $csnick unless $agent;
	
	return $chan->{AGENT} = $agent;
}

sub get_chan_bot($) {
	my ($chan) = @_;
	$get_chan_bot->execute($chan->{CHAN});
	
	return $get_chan_bot->fetchrow_array;
}

1;
