#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::ChanReg::ModeLock;

=head1 NAME

SrSv::ChanReg::ModeLock - Get and set modelocks

=cut

use strict;

use Exporter 'import';
BEGIN { our @EXPORT = qw(cr_modelock); }

use SrSv::MySQL::KeyValStub {
	cr_modelock_real => [
		"SELECT modelock FROM chanreg WHERE chan=?",
		"UPDATE chanreg SET modelock=? WHERE chan=?"
	],
};

sub cr_modelock($;$) {
	if(ref $_[0]) {
		return cr_modelock_real($_[0]->{CHAN}, $_[1]);
	} else {
		goto &cr_modelock_real;
	}
}

1;

__END__

=head1 SYNOPSIS

 use SrSv::ChanReg::ModeLock;

 my $modelock = cr_modelock($chan);
 cr_modelock($chan, $new_modelock);

