#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::ChanUser::Greet;

use strict;

use SrSv::Message qw(add_callback);
use SrSv::NickReg::Text;
use SrSv::ChanReg::Agent;

add_callback {
	TRIGGER_COND => { CLASS => 'chanserv', TYPE => 'user_join_ok' }, # FIXME
	CALL => __PACKAGE__ . '::ev_user_join_ok',
};

sub ev_user_join_ok {
	my ($message) = @_;

	foreach my $user (@{$message->{USERS}}) {
		if(my $greet = get_nrt_by_nickid($user, NRT_GREET)) {
			# FIXME
			ircd::privmsg(agent($message->{CHAN}), $message->{CHAN}{CHAN}, $greet);
		}
	}
}

1;
