#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::NickReg::Alias;

use strict;

use Exporter 'import';
BEGIN { our @EXPORT_OK = qw(get_root_nick delete_alias delete_aliases count_aliases get_random_alias
	is_alias_of get_aliases
	is_alias);
}

use SrSv::MySQL::KeyValStub {
	get_root_nick => ["SELECT nickreg.nick FROM nickreg, nickalias WHERE nickreg.id=nickalias.nrid AND nickalias.alias=?"],
	delete_alias => ["DELETE FROM nickalias WHERE alias=?"],
	delete_aliases => ["DELETE FROM nickalias USING nickreg, nickalias WHERE nickalias.nrid=nickreg.id AND nickreg.nick=?"],
	count_aliases => ["SELECT COUNT(*) FROM nickalias, nickreg WHERE nickalias.nrid=nickreg.id AND nickreg.nick=?"],
	get_random_alias => ["SELECT nickalias.alias FROM nickalias, nickreg WHERE nickalias.nrid=nickreg.id AND nickreg.nick=? AND nickalias.alias != nickreg.nick LIMIT 1"],
};

use SrSv::MySQL::Stub {
	is_alias_of => ['SCALAR', "SELECT 1 FROM nickalias AS n1, nickalias AS n2 WHERE n1.alias=? AND n2.alias=? AND n1.nrid=n2.nrid LIMIT 1"],
	get_aliases => ['ARRAYREF', "SELECT nickalias.alias FROM nickalias, nickreg WHERE nickalias.nrid=nickreg.id AND nickreg.nick=? ORDER BY nickalias.alias"],
};

sub is_alias($) {
	my ($nick) = @_;
	
	return (get_root_nick($nick) eq $nick);
}

1;
