#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::NickServ::GetPass;

use strict;

use SrSv::NickServ;
use SrSv::NickServ::UI;
use SrSv::Errors;
use SrSv::NickReg::Password;
use SrSv::User::Notice;

ns_command {
	SYNTAX => 'getpass nick',
	CALL => \&ns_getpass,
};

sub ns_getpass($$) {
	my ($user, $nick) = @_;

	unless(adminserv::is_svsop($user, adminserv::S_ROOT() )) {
		notice($user, $err_deny);
		return;
	}

	my $pass = get_pass($nick);

	unless($pass) {
		notice($user, "\002$nick\002 is not registered.");
		return;
	}

	notice($user, "Password for \002$nick\002 is: \002$pass\002");
	services::ulog($nsnick, log::INFO(), "used GETPASS on $nick", $user);
}

1;
