#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::NickServ::Greet;

use strict;

use Exporter 'import';
BEGIN { our @EXPORT = qw(ns_greet); }

use SrSv::NickServ::UI;
use SrSv::User qw(get_user_nick);
use SrSv::User::Notice;
use SrSv::NickReg::Text;

#TODO: Fix this up.

ns_command {
	SYNTAX => 'greet [TEXT:message]',
	CALL => \&ns_greet,
};

sub ns_greet($$) {
	my ($user, $param) = @_;

	my $target = get_user_nick($user);

	if($param) {
		update_nrt $target, NRT_GREET, $param;
		notice $user, qq{Your autogreet has been changed to "$param".};
	}
	else {
		update_nrt $target, NRT_GREET, undef;
		notice $user, "Your autogreet has been removed.";
	}
}

1;
