#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::NickServ::Protect;

use strict;

use SrSv::NickServ::Set;
use SrSv::User::Notice;
use SrSv::NickReg::Protect;

ns_setting [qr/^protect$/i, {NAME=>'PROTECT', CALL=>\&ns_set_protect, OVERRIDE=>'SERVOP'}];

sub ns_set_protect($) {
	my ($p) = @_;

	my $param = $p->{PARAM};
	
	my $level;
	if($param =~ /^(?:no|off|none|false|0)$/) { $level = 0; }
	elsif($param =~ /^(?:yes|on|normal|true|1)$/) { $level = 1; }
	elsif($param =~ /^(?:high|2)$/) { $level = 2; }
	elsif($param =~ /^(?:kill|3)$/) { $level = 3; }
	else {
		notice($p->{USER}, "Syntax: SET PROTECT <none|normal|high|kill>");
		return;
	}
	
	nr_protect_level($p->{TARGET}, $level);
	notice($p->{USER}, "$p->{SUBJ} protection level is now set to \002".$protect_short[$level]."\002. ".$protect_long[$level]);
}

1;
