#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::SocketClient;

use strict;

use Exporter 'import';
BEGIN { our @EXPORT = qw(call_remote) }

use Fcntl qw(F_GETFL F_SETFL O_NONBLOCK);
use IO::Socket::UNIX;
use Storable qw(freeze thaw);

sub call_remote($$) {
	my($call, $args) = @_;

	my $socket = IO::Socket::UNIX->new(
		Type => SOCK_STREAM,
		Peer => 'socket',
	) or die $!;

	my $flags = fcntl($socket, F_GETFL, 0);
	$flags = fcntl($socket, F_SETFL, $flags | O_NONBLOCK);

	$socket->syswrite(freeze([$call, $args]));

	my $return;
	while($socket->sysread(my $part, 4096)) {
		$return .= $part;
	}
	
	my $ret = thaw($return);
	shift @$ret;
	return @$ret;
}

1;
