#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::User::InvalidPass;

use strict;

use Exporter 'import';
BEGIN { our @EXPORT = qw(inc_nick_inval); }

use SrSv::MySQL '$dbh';
use SrSv::Process::Init;
use SrSv::NickServ;
use SrSv::User qw(get_user_id);

our ($get_nick_inval, $inc_nick_inval);

proc_init {
	$get_nick_inval = $dbh->prepare("SELECT nick, inval FROM user WHERE id=?");
	$inc_nick_inval = $dbh->prepare("UPDATE user SET inval=inval+1 WHERE id=?");
};

sub inc_nick_inval($) {
	my ($user) = @_;
	my $id = get_user_id($user);

	$inc_nick_inval->execute($id);
	$get_nick_inval->execute($id);
	my ($nick, $inval) = $get_nick_inval->fetchrow_array;
	if($inval > 3) {
		ircd::irckill($nsnick, $nick, 'Too many invalid passwords.');
		# unnecessary as irckill calls the quit handler.
		#nick_delete($nick);
		return 0;
	} else {
		return 1;
	}
}
