#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::User::Oper;

use strict;

use Exporter 'import';
BEGIN { our @EXPORT = qw(is_ircop is_service) }

use SrSv::User::Mode;

sub compare_umodes($$$) {
	my ($user, $key, $re) = @_;

	return $user->{$key} if exists($user->{$key});
	return $user->{$key} = (get_umodes($user) =~ $re);
}

sub is_ircop($) {
	return compare_umodes($_[0], 'IRCOP', qr/\+\w*[oOaANCS]/);
}

sub is_service($) {
	return compare_umodes($_[0], 'SERVICE', qr/\+\w*S/);
}

1;
