#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::Web::Content;

use strict;

use Exporter 'import';
BEGIN { our @EXPORT = qw(title body cookie print_content) }

our %content_store;

sub title($) {
	$content_store{TITLE} = $_[0];
}

sub body($) {
	$content_store{BODY} = $_[0];
}

sub cookie($) {
	push @{$content_store{COOKIES}}, $_[0];
}

sub print_content($) {
	my ($cgi) = @_;

	print $cgi->header(-cookie => $content_store{COOKIES});

	local $/ = undef;

	open FILE, 'template.html';
	my $out = <FILE>;
	close FILE;

	$out =~ s/<!-- TITLE -->/$content_store{TITLE}/g;
	$out =~ s/<!-- BODY -->/$content_store{BODY}/g;

	print $out;
}

1;
