#!/usr/bin/perl

#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use strict;

use CGI;
use CGI::Carp;

use SrSv::Web::Content;
use SrSv::Web::Login qw(get_digest);
use SrSv::NickReg::Password;

our $cgi = new CGI;

our $nick = $cgi->param('nick');

if(chk_pass($nick, $cgi->param('pass'), undef)) {
	add_cookie $cgi->cookie (
		-name => 'NickAuth',
		-value => "$nick," . get_digest($nick),
		-path => '/',
	);

	content { BODY => qq{<html><body>You are now logged in.</body></html>} };
} else {
	content { BODY => qq{<html><body>Password incorrect.</body></html>} };
}

print_content($cgi, $content);
